//! Various common core functionality.


/// Runtime dirs (state, temp, etc)
pub(crate) mod rtdirs;
pub(crate) use rtdirs::RtDirs;

/// Parallel jobs
pub(crate) mod jobs;

/// FS scanning
pub(crate) mod scan;

/// HTTP fetching
pub(crate) mod fetch;

/// Downloaded hashfile checking
pub(crate) mod hashcheck;

/// Patching
pub(crate) mod patch;

/// File stashing
pub(crate) mod stash;

/// Metadata filtering bits
pub(crate) mod filter;

/// File merging bits
pub(crate) mod merge;

/// Installing bits
pub(crate) mod install;
